Create a user
Creates a TextMine user record for a legacy API integration. Prefer the v3 user lookup endpoints for new agent workflows.
Legacy note: this endpoint is maintained for existing V2 integrations. Prefer V3 for new API and agent workflows where an equivalent exists.
curl -X POST "https://api.textmine.com/v1/users" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"first_name": "example",
"last_name": "example",
"email": "example@example.com"
}'
import requests
import json
url = "https://api.textmine.com/v1/users"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"first_name": "example",
"last_name": "example",
"email": "example@example.com"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.textmine.com/v1/users", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"first_name": "example",
"last_name": "example",
"email": "example@example.com"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"first_name": "example",
"last_name": "example",
"email": "example@example.com"
}`)
req, err := http.NewRequest("POST", "https://api.textmine.com/v1/users", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.textmine.com/v1/users')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"first_name": "example",
"last_name": "example",
"email": "example@example.com"
}'
response = http.request(request)
puts response.body
{}
/v1/users
Target server for requests. Edit to use your own host.
Bearer token - just enter the token, "Bearer" prefix will be added automatically
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Authentication token required.
Body
Raw application/json data
Responses
Successful response